<script>
export default {
  name: "Bill",
  props: [
    "currency",
    "price",
    "finalTip",
    "finalPrice",
    "perPeople",
    "loadingQuote",
    "calcWithQuote",
  ],
};
</script>

<template>
  <v-container>
    <v-row>
      <v-col class="bill-info" cols="12">
        <p class="bill-title">Conta</p>
        <h2 class="bill-value">{{ currency.label }} {{ price }}</h2>
      </v-col>
      <v-col class="bill-info" cols="12">
        <p class="bill-title">Gorjeta</p>
        <h2 class="bill-value">{{ currency.label }} {{ finalTip }}</h2>
      </v-col>
      <v-col class="bill-info" cols="12">
        <p class="bill-title">Total</p>
        <h2 class="bill-value">{{ currency.label }} {{ finalPrice }}</h2>
      </v-col>
      <v-col class="bill-info" cols="12">
        <p class="bill-title">Por pessoa</p>
        <h2 class="bill-value">{{ currency.label }} {{ perPeople }}</h2>
      </v-col>
      <v-col class="bill-info" cols="12">
        <p class="bill-title">Em R$</p>
        <h2 class="bill-value">
          <v-progress-circular
            indeterminate
            color="primary"
            v-if="loadingQuote"
          ></v-progress-circular>
          <span v-else>R$ {{ calcWithQuote }}</span>
        </h2>
      </v-col>
    </v-row>
  </v-container>
</template>

<style lang="scss" scoped>
.bill-info {
  .bill-title {
    font-size: 1rem;
    font-weight: normal;
    line-height: 1.75rem;
    margin: 0;
    text-align: center;
  }
  .bill-value {
    font-size: 2.125rem;
    line-height: 2.5rem;
    font-weight: 700;
    text-align: center;
  }
}
</style>
